/**
 *
 * @author Diorgenes Felipe Grzesiuk <diorgenes@prognus.com.br>
 * @copyright Copyright 2007-2008 Prognus
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package br.com.prognus.psync.exception;

public class EntityException extends Exception {

	/**
	 * Creates a new instance of <code>EntityException</code> without detail
	 * message.
	 */
	public EntityException() {

	}

	/**
	 * Constructs an instance of <code>EntityException</code> with the
	 * specified detail message.
	 * 
	 * @param msg
	 *            the detail message.
	 */
	public EntityException(String msg) {
		super(msg);
	}

	/**
	 * Constructs an instance of <code>EntityException</code> with the
	 * specified exception.
	 * 
	 * @param cause
	 *            Throwable
	 */
	public EntityException(Throwable cause) {
		super(cause);
	}

	/**
	 * Constructs an instance of <code>EntityException</code> with the
	 * specified detail message.
	 * 
	 * @param msg
	 *            String
	 * @param cause
	 *            Throwable
	 */
	public EntityException(String msg, Throwable cause) {
		super(msg, cause);
	}

}
